> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Google

> Create a single-use state, nonce, and PKCE challenge for an exact allowed redirect URL.



## OpenAPI

````yaml /openapi.json post /v1/apps/{projectId}/auth/oauth/google/start
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/apps/{projectId}/auth/oauth/google/start:
    post:
      tags:
        - appauth
      summary: Start Google
      description: >-
        Create a single-use state, nonce, and PKCE challenge for an exact
        allowed redirect URL.
      operationId: appauth.startGoogle
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project id (UUID) or globally unique project slug.
      requestBody:
        required: true
        x-korve-max-bytes: 1048576
        content:
          application/json:
            schema:
              type: object
              properties:
                redirectUrl:
                  type: string
              required:
                - redirectUrl
              additionalProperties: false
      responses:
        '200':
          description: Authorization URL and browser state value.
          content:
            application/json:
              schema:
                type: object
                properties:
                  authorizationUrl:
                    type: string
                  state:
                    type: string
                required:
                  - authorizationUrl
                  - state
        '404':
          description: No such project or app-auth resource in this organization.
        '422':
          description: Invalid configuration or request.
        '429':
          description: Too many sign-in attempts.
      security: []

````